<template>
  <div id="app">

   <!-- <SideBar/> -->
   <!-- <nav>
      <router-link to="/">Home</router-link> |
      <router-link to="/about">About</router-link>
    </nav>-->
    <router-view/>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import SideBar from '@/components/SideBar.vue';


export default Vue.extend({
  name: 'App',
  components: {
  /*  SideBar */
  },

   data() {
      return {
        form: {
          search: '',
        },
      }
    },

    mounted(){
      if (localStorage.isConnected) {
        this.$store.commit('UPDATE_ISCONNECTED', true)
      }
      if (localStorage.user) {
        this.$store.commit('UPDATE_USER', JSON.parse(localStorage.user))
      }
      if (localStorage.token) {
        this.$store.commit('UPDATE_TOKEN', localStorage.token)
      }
    }
});
</script>


<style>
@import url('https://fonts.googleapis.com/css2?family=Merriweather:wght@300&display=swap');
html {
  font-family: 'Merriweather', sans-serif;
  background-color: #fdfdfd;
  min-width: 100%;
}

#app {
  font-family: 'Merriweather', sans-serif;
}
</style>
